Subject: Re: [PATCH v5 07/45] guix: node-build-system: Add #:absent-dependencies argument.

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 21 Dec 2021 06:20:28 +0100

Hi,

excuse my brevity, but I'll be off to work soon.

Am Montag, dem 20.12.2021 um 22:59 -0500 schrieb Philip McGrath:
> My reservation regarding:
> 
> > 
> > (add-after 'patch-dependencies 'drop-junk
> >    (lambda _
> >      (with-atomic-json-replacement "package.json"
> >        (lambda (json) (delete-dependencies json '("node-tap"))))))
> > 
> 
> is that `with-atomic-json-replacement` would make (guix build json)'s
> representation a part of node-build-system's API, which it currently
> is not. For the reasons I detailed in my last email, I think that
> would open up a larger can of worms than it might seem.
That might be a valid concern, but I'd point to the "we don't
gratuitously change API" shield.  Plus if we do, we'd replace our
current JSON by Guile-JSON.  If that has a different internal
representation that would awfully break things, please do tell.

> I guess we should do as Jelle suggests:
> 
> On 12/20/21 18:10, Jelle Licht wrote:
>  > I believe the best thing to do would be to push the earlier
>  > uncontroversial node patches.
>  >
>  >[...]
I did suggest that too, but note that it would only upsteam patches 1-4
of 45, as patch 5 already touches node-build-system.
Patch 5 would probably be fine to go as well (can the others confirm
that?), but if the goal is to push today, someone else will have to do
it, as I'll be only back at night.

Cheers